Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158027 - when linked statically, getpid always returns '5'
Summary: when linked statically, getpid always returns '5'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-17 21:03 UTC by Bill Nottingham
Modified: 2016-11-24 12:41 UTC (History)
6 users (show)

Fixed In Version: 2.3.5-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-20 17:06:33 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-05-17 21:03:22 UTC
rawhide 20050517, x86_64.

ctrl-alt-del is just ignored. Could have sworn it used to trigger a reboot.

Comment 1 Jeremy Katz 2005-05-19 16:45:37 UTC
In fact, it did.  

For some reason, getpid() in init is returning 5 which is the pid of a khelper
thread, not init itself.  

Dave -- know of any kernel oddities that could be in play here?

Comment 2 Jeremy Katz 2005-05-19 16:51:03 UTC
Okay, not the kernel's fault.  Booting a U1-ish kernel with my initrd shows the
same problem.  Swapping to the U1 initrd with the current kernel works fine.

Comment 3 Jeremy Katz 2005-05-19 17:05:13 UTC
Summary says it all now :)


Note You need to log in before you can comment on or make changes to this bug.